SquareRootAndersen Class Reference

`#include <ql/models/marketmodels/evolvers/volprocesses/squarerootandersen.hpp>`

Inheritance diagram for SquareRootAndersen:
[legend]

## Public Member Functions

| SquareRootAndersen (Real meanLevel, Real reversionSpeed, Real volVar, Real v0, const std::vector< Real > &evolutionTimes, Size numberSubSteps_, Real w1, Real w2, Real cutPoint=1.5)
virtual Size | variatesPerStep ()
virtual Size | numberSteps ()
virtual void | nextPath ()
virtual Real | nextstep (const std::vector< Real > &variates)
virtual Real | stepSd () const
virtual const std::vector< Real > & | stateVariables () const
virtual Size | numberStateVariables () const

## Detailed Description

Displaced diffusion LMM with uncorrelated vol process. Called "Shifted BGM" with Heston vol by Brace in "Engineering BGM." Vol process is an external input.